<!-- 设备统计 -->
<template>
  <page-container>
    <div class="page-top">
      <div class="page-top-left">
        <DeviceCount />
        <DeviceRunningStatus />
      </div>
      <div class="page-top-right">
        <EquipmentHealth />
      </div>
    </div>
    <div class="page-bottom">
      <DeviceDevOps />
      <DeviceType />
    </div>
  </page-container>
</template>
<script lang="ts" name="DataReportDevice" setup>
import DeviceCount from "./DeviceCount.vue";
import DeviceRunningStatus from "./DeviceRunningStatus.vue";
import EquipmentHealth from "./EquipmentHealth.vue";
import DeviceDevOps from "./DeviceDevOps.vue";
import DeviceType from "./DeviceType.vue";

</script>
<style scoped lang="less">
.page-top {
  display: flex;

  .page-top-left {
    flex: 2;
  }
  .page-top-right {
    margin-left: 16px;
    flex: 1;
  }
}
.page-bottom {
  display: flex;
}
</style>
